aubio 0.4.2~alpha

- Main Page
- Data Structures
- Files
- Examples

- Data Structures
- Data Fields

Data Fields
cvec_t Struct Reference

Vector of real-valued phase and spectrum data. More...

`#include <cvec.h>`

## Data Fields
uint_t | length
| length of buffer = (requested length)/2 + 1
smpl_t * | norm
| norm array of size cvec_t.length
smpl_t * | phas
| phase array of size cvec_t.length

## Detailed Description

Vector of real-valued phase and spectrum data.

uint_t buffer_size = 1024;
// create a complex vector of 512 values
cvec_t * input = new_cvec (buffer_size);
// set some values of the vector
input->norm[23] = 2.;
input->phas[23] = M_PI;
// ..
// compute the mean of the vector
mean = cvec_mean(input);
// destroy the vector
del_cvec (input);

Examples:
  spectral/test-filterbank.c, spectral/test-filterbank_mel.c, spectral/test-mfcc.c, spectral/test-phasevoc.c, spectral/test-specdesc.c, spectral/test-tss.c, src/spectral/test-fft.c, and test-cvec.c.

Definition at line 63 of file cvec.h.

The documentation for this struct was generated from the following file:

- cvec.h